com.hazelcast.client.config

## Class ClientAliasedDiscoveryConfigUtils

- java.lang.Object
- - com.hazelcast.client.config.ClientAliasedDiscoveryConfigUtils

-     public final class ClientAliasedDiscoveryConfigUtils
      extends Object

  Utility class for Aliased Discovery Configs in Hazelcast Client.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static List<AliasedDiscoveryConfig<?>>` | `aliasedDiscoveryConfigsFrom(ClientNetworkConfig networkConfig)` Gets a list of all aliased discovery configs from `config`.
    `static List<DiscoveryStrategyConfig>` | `createDiscoveryStrategyConfigs(ClientConfig config)` Extracts aliased discovery configs from `config` and creates a list of `DiscoveryStrategyConfig` out of them.
    `static AliasedDiscoveryConfig` | `getConfigByTag(ClientNetworkConfig config, String tag)` Gets the `AliasedDiscoveryConfig` from `config` by `tag`.
    `static AliasedDiscoveryConfig` | `newAliasedDiscoveryConfig(String name)` Creates new `AliasedDiscoveryConfig` by the given `tag`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createDiscoveryStrategyConfigs

          public static List<DiscoveryStrategyConfig> createDiscoveryStrategyConfigs(ClientConfig config)

      Extracts aliased discovery configs from `config` and creates a list of `DiscoveryStrategyConfig` out of them.

    - #### getConfigByTag

          public static AliasedDiscoveryConfig getConfigByTag(ClientNetworkConfig config,
                                                              String tag)

      Gets the `AliasedDiscoveryConfig` from `config` by `tag`.

    - #### aliasedDiscoveryConfigsFrom

          public static List<AliasedDiscoveryConfig<?>> aliasedDiscoveryConfigsFrom(ClientNetworkConfig networkConfig)

      Gets a list of all aliased discovery configs from `config`.

    - #### newAliasedDiscoveryConfig

          public static AliasedDiscoveryConfig newAliasedDiscoveryConfig(String name)

      Creates new `AliasedDiscoveryConfig` by the given `tag`.

Copyright © 2019. All rights reserved.